The last 100 deliveries
curl --request GET \
--url https://platform.demosmith.ai/v1/webhooks/{endpoint_id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.demosmith.ai/v1/webhooks/{endpoint_id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.demosmith.ai/v1/webhooks/{endpoint_id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": "<string>",
"event_type": "<string>",
"demo_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"attempts": 123,
"last_status_code": 123,
"last_error": "<string>",
"last_duration_ms": 123,
"next_attempt_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}Webhooks
The last 100 deliveries
GET
/
webhooks
/
{endpoint_id}
/
deliveries
The last 100 deliveries
curl --request GET \
--url https://platform.demosmith.ai/v1/webhooks/{endpoint_id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.demosmith.ai/v1/webhooks/{endpoint_id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.demosmith.ai/v1/webhooks/{endpoint_id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": "<string>",
"event_type": "<string>",
"demo_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"attempts": 123,
"last_status_code": 123,
"last_error": "<string>",
"last_duration_ms": 123,
"next_attempt_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "needs_answers",
"message": "<string>",
"details": {}
}
}
